Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ServicesC.h File Reference

`#include "tao/VarOut_T.h"`
`#include "OctetSeqC.h"`

Include dependency graph for ServicesC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
namespace | TAO
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _CORBA_SERVICEINFORMATION__TAO_SEQ_CORBA_SERVICEOPTION__CH_
#define | _CORBA_SERVICEINFORMATION__TAO_SEQ_CORBA_SERVICEDETAIL__CH_
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::ServiceDetail &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::ServiceDetail &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::ServiceInformation &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::ServiceInformation &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::ServiceInformation::_tao_seq_CORBA_ServiceOption_ &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::ServiceInformation::_tao_seq_CORBA_ServiceOption_ &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::ServiceInformation::_tao_seq_CORBA_ServiceDetail_ &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::ServiceInformation::_tao_seq_CORBA_ServiceDetail_ &)

## Define Documentation

#define _CORBA_SERVICEINFORMATION__TAO_SEQ_CORBA_SERVICEDETAIL__CH_

#define _CORBA_SERVICEINFORMATION__TAO_SEQ_CORBA_SERVICEOPTION__CH_

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::ServiceInformation::_tao_seq_CORBA_ServiceDetail_ & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::ServiceInformation::_tao_seq_CORBA_ServiceOption_ & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::ServiceInformation & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::ServiceDetail & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::ServiceInformation::_tao_seq_CORBA_ServiceDetail_ & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::ServiceInformation::_tao_seq_CORBA_ServiceOption_ & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::ServiceInformation & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::ServiceDetail & |
| ) |